Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.event
Class EventUtils

    java.lang.Object
      |
      +--oracle.portal.provider.v2.event.EventUtils

public class EventUtils
extends java.lang.Object

Contains utility methods and constants for events.

Constructor Summary
`EventUtils()`

Method Summary
`static java.lang.String` | `constructEventLink(PortletRenderRequest pr, java.lang.String eventName, oracle.portal.utils.NameValue[] eventParameters, boolean encodeParams, boolean replaceParams)` Create a parameterized link for a portlet event.
`static java.lang.String` | `eventImageLink(PortletRenderRequest pr, java.lang.String image, java.lang.String name, oracle.portal.utils.NameValue[] params, boolean encodeParams, boolean replaceParams)` Deprecated. use EventUtils.eventImageLink(PortletRenderRequest, String, String, String, NameValue[], boolean, boolean)
`static java.lang.String` | `eventImageLink(PortletRenderRequest pr, java.lang.String image, java.lang.String imageAltText, java.lang.String name, oracle.portal.utils.NameValue[] params, boolean encodeParams, boolean replaceParams)` Helper method for rendering event image links.
`static java.lang.String` | `eventName(java.lang.String name)` Returns the url parameter name to use for the input event name.
`static java.lang.String` | `eventParameter(java.lang.String name)` Returns the url parameter name to use for the input event parameter name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventUtils

    public EventUtils()

Method Detail

### eventParameter

    public static java.lang.String eventParameter(java.lang.String name)

  Returns the url parameter name to use for the input event parameter name. When rendering event parameters in html links or forms the url parameter names should always be generated by this method.

  Parameters:
    `name` - event parameter name.
  Returns:
    equivalent url parameter name.

### eventName

    public static java.lang.String eventName(java.lang.String name)

  Returns the url parameter name to use for the input event name. When rendering an event name in html links or forms the url parameter name should always be generated by this method.

  Parameters:
    `name` - event name.
  Returns:
    equivalent url parameter name.

### constructEventLink

    public static java.lang.String constructEventLink(PortletRenderRequest pr,
                                                      java.lang.String eventName,
                                                      oracle.portal.utils.NameValue[] eventParameters,
                                                      boolean encodeParams,
                                                      boolean replaceParams)
                                               throws PortletException

  Create a parameterized link for a portlet event. Note the input event parameter names should be the base name not an equivalent url parameter name obtained from eventParameter(String name). Consequently if you want to render a link that both contains event parameters and additional private portlet parameters you will have to construct it manually using the parameterizeLink method.

  Parameters:
    `pr` - the render request.
    `eventName` - the event name.
    `eventParameters` - an array of NameValue objects representing the event parameter names and associated values. Names cannot be NULL.
    `encodeParams` - flag indicating whether the parameter names and values should be URL encoded using the multibyte URL encoder.
    `replaceParams` - flag indicating whether parameters contained in the params array should replace existing parameters of the same name. true = replace or overwrite existing parameters. false = simply add parameters.
    `PortletException`

### eventImageLink

    public static java.lang.String eventImageLink(PortletRenderRequest pr,
                                                  java.lang.String image,
                                                  java.lang.String name,
                                                  oracle.portal.utils.NameValue[] params,
                                                  boolean encodeParams,
                                                  boolean replaceParams)
                                           throws PortletException

  Deprecated. use EventUtils.eventImageLink(PortletRenderRequest, String, String, String, NameValue[], boolean, boolean)

  Helper method for rendering event image links.

  Parameters:
    `pr` - portlet render request.
    `image` - name of the image to use.
    `name` - event name.
    `encodeParams` - encode parameter name/values?
    `replaceParams` - replace base url parameters of same name?
    `PortletException`

### eventImageLink

    public static java.lang.String eventImageLink(PortletRenderRequest pr,
                                                  java.lang.String image,
                                                  java.lang.String imageAltText,
                                                  java.lang.String name,
                                                  oracle.portal.utils.NameValue[] params,
                                                  boolean encodeParams,
                                                  boolean replaceParams)
                                           throws PortletException

  Helper method for rendering event image links.

  Parameters:
    `pr` - portlet render request.
    `image` - name of the image to use.
    `imageAltText` - Text description of the image, used by JAWS so blind person can know what the image does. can be null, empty or a string
    `name` - event name.
    `encodeParams` - encode parameter name/values?
    `replaceParams` - replace base url parameters of same name?
    `PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.